import { makeStyles } from "@material-ui/core/styles";

const useStyles = makeStyles({
  container: {
    display: "flex",
    justifyContent: "center",
    marginBottom: 12
  },
  wrapper: {
    textAlign: 'center',
    padding: '1px 10px 3px 10px',
    backgroundColor: 'rgba(104, 105, 104, 0.8)',
    color:'#ffffff',
    borderRadius: 7,
    fontSize: ".85em",
    fontWeight:600,
  },
});

interface IMessageDivider {
  message:string,
}

const MessageDivider = ({ message }:IMessageDivider) => {
  const classes = useStyles();

  return (
    <div className={classes.container}>
      <span className={classes.wrapper}>{message}</span>
    </div>    
)};

export  default  MessageDivider
